---
import Layout from '../layouts/Layout.astro';
type HTMLInputTypeAttribute = 'text' | 'email' | 'password'
const inputs = [
	{ name: 'name', type: 'text', },
	{ name: 'url', type: 'text', },
]
---

<Layout title="Pics">
	<main class="p-2">
		<header class="flex justify-center">
			<h1 class="text-xl text-orange-400 uppercase">Pics</h1>
		</header>
		<form method="post" class="flex flex-col p-2">
			{inputs.map(({ name, type, }) => (
				<label for={name} class="flex flex-col">
					<span class="capitalize">{name}:</span>
		    	<input id={name} type={type as HTMLInputTypeAttribute} name={name} class="border-b-2 border-black"/>
		  	</label>
			))}
			<div class="flex justify-center p-4">
				<button type="submit" class="border-2 border-black rounded px-4 py-1 hover:border-orange-400">Submit</button>
			</div>
		</form>
	</main>
</Layout>
